MONGOC_CLIENT_ENCRYPTION_DATAKEY_OPTS_SET_KEYALTNAMES(3)

NAME
mongoc_client_encryption_datakey_opts_set_keyaltnames - mongoc_client_encryption_datakey_opts_set_keyaltnames()

SYNOPSIS

        void
        mongoc_client_encryption_datakey_opts_set_keyaltnames (
           mongoc_client_encryption_datakey_opts_t *opts,
           char **keyaltnames,
           uint32_t keyaltnames_count);

Sets a list of alternate name strings that can be used to identify a data key. Key alternate names must be unique.

PARAMETERS

    •   opts: A mongoc_client_encryption_datakey_opts_t

    •   keyaltnames: An array of strings.

    •   keyaltnames_count: The number of strings in keyaltnames.

SEE ALSO:
        mongoc_client_encryption_encrypt_opts_set_keyaltname

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc